Package ghidra.util.classfinder

# Record Class ClassFileInfo

java.lang.Object
java.lang.Record
ghidra.util.classfinder.ClassFileInfo

Record Components:
  `path` - The path to the class file (or jar containing the class)
  `name` - The name of the class (including package)
  `suffix` - The class suffix (i.e., extension point type name)

public record ClassFileInfo(String path, String name, String suffix) extends Record
Information about a class file on disk

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassFileInfo(String path, String name, String suffix)`
  Creates an instance of a `ClassFileInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `String`
  `path()`
  Returns the value of the `path` record component.
  `String`
  `suffix()`
  Returns the value of the `suffix` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassFileInfo

    public ClassFileInfo(String path, String name, String suffix)
    Creates an instance of a `ClassFileInfo` record class.
    Parameters:
      `path` - the value for the `path` record component
      `name` - the value for the `name` record component
      `suffix` - the value for the `suffix` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### path

    public String path()
    Returns the value of the `path` record component.
    Returns:
      the value of the `path` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### suffix

    public String suffix()
    Returns the value of the `suffix` record component.
    Returns:
      the value of the `suffix` record component